Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.support
Class NamespaceManager

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.support.NamespaceManager

All Implemented Interfaces:
  org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.InitializingBean

    public class NamespaceManager

extends Object
implements org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.DisposableBean

Support class that deals with namespace parsers discovered inside Spring bundles.

Author:
  Costin Leau

Constructor Summary
`NamespaceManager(org.osgi.framework.BundleContext context)` Constructs a new `NamespaceManager` instance.

Method Summary
`void` | `afterPropertiesSet()`
`void` | `destroy()`
`NamespacePlugins` | `getNamespacePlugins()`
`void` | `maybeAddNamespaceHandlerFor(org.osgi.framework.Bundle bundle, boolean isLazyBundle)` Registers the namespace plugin handler if this bundle defines handler mapping or schema mapping resources.
`void` | `maybeRemoveNameSpaceHandlerFor(org.osgi.framework.Bundle bundle)` Removes the target bundle from the set of those known to provide handler or schema mappings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceManager

    public NamespaceManager(org.osgi.framework.BundleContext context)

  Constructs a new `NamespaceManager` instance.

  Parameters:
    `context` - containing bundle context

Method Detail

### maybeAddNamespaceHandlerFor

    public void maybeAddNamespaceHandlerFor(org.osgi.framework.Bundle bundle,
                                            boolean isLazyBundle)

  Registers the namespace plugin handler if this bundle defines handler mapping or schema mapping resources.

  This method considers only the bundle space and not the class space.

  Parameters:
    `bundle` - target bundle
    `isLazyBundle` - indicator if the bundle analyzed is lazily activated

### maybeRemoveNameSpaceHandlerFor

    public void maybeRemoveNameSpaceHandlerFor(org.osgi.framework.Bundle bundle)

  Removes the target bundle from the set of those known to provide handler or schema mappings.

  Parameters:
    `bundle` - handler bundle

### getNamespacePlugins

    public NamespacePlugins getNamespacePlugins()

### afterPropertiesSet

    public void afterPropertiesSet()

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.springframework.beans.factory.DisposableBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.